Notification for Cancel
Request
Request Body schema
"payment" or "capture" or "refund"
object
Required
This object includes related information for an original transaction which has been successfully processed in EVO Cloud
- Usage Instruction
1. This field is used in response for the API of Payment, Cancel, Capture, Refund and DataSubmission
2. This field is used in Notification for the API of Payment, Cancel, Capture and Refund and DataSubmission
cancel
object
Required
This is the related information for the Cancel transaction processed
- Usage Instruction
1. used in the response of POST cancel and GET Cancel
eventCode
string<= 32 characters
Required
Enum: Cancel
Used to indicate the type of a Notification
- Usage Instruction
1. Filed Type: String(32)
metadata
string<= 512 characters
This field is used for merchant to state reference information
- Usage Instruction
1. If merchant sends this field in the request message, EVO Cloud will echo it back in the response
2. Field Type: String(512)
paymentMethod
object
This field includes the Payment Method information, including Payment Method selected by User for Payment, and the Payment Method supported by the merchant
- Usage Instruction
1. For GET PaymentMethod response, If merchant sends merchantTransID in GET PaymentMethod request, EVO Cloud will return this object.
2. EVO Cloud may include this object in response.
storeInfo
object
Supplemental store information need to be provided by merchant.
- Usage definition
1. To indicate MCC for this merchant when the store is assigned multiple MCCs in EVO Cloud.
2. To indicate the store information for this merchant when settlement notification.
transInitiator
object
Information of terminal to initiate the transaction.
- Usage instruction
1. Used in the request of PaymentMethod, Payment.
POST
/cancel webhook in the requestTry it
Server
https://online-uat.everonet.com
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/cancel webhook in the request' \
-d '{
"\"payment\" or \"capture\" or \"refund\"": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"currency": "string",
"discountType": "string",
"subDiscountAmount": {},
"value": "string"
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"cancel": {
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string"
},
"eventCode": "string",
"metadata": "string",
"paymentMethod": {
"bankTransfer": {
"paymentBrand": "string"
},
"buyNowPayLater": {
"paymentBrand": "string"
},
"card": {
"first6No": "string",
"fundingType": "string",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "string"
},
"carrierBilling": {
"paymentBrand": "string"
},
"cash": {
"paymentBrand": "string"
},
"e-wallet": {
"first6No": "string",
"last4No": "string",
"paymentBrand": "string"
},
"onlineBanking": {
"issuingCompany": "string",
"paymentBrand": "string"
},
"paymentAccountReference": "string",
"points": {
"paymentBrand": "string"
},
"prepaidCard": {
"paymentBrand": "string"
},
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
},
"storeInfo": {
"mcc": "string",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'JavaScript
fetch(
`https://online-uat.everonet.com/cancel webhook in the request`,
{
method: 'post',
body: '{
"\"payment\" or \"capture\" or \"refund\"": {
"billingAmount": {
"currency": "string",
"value": "string"
},
"billingFXRate": {
"baseCurrency": "string",
"quoteCurrency": "string",
"value": "string"
},
"convertTransAmount": {
"currency": "string",
"value": "string"
},
"convertTransFXRate": {
"baseCurrency": "string",
"date": "string",
"quoteCurrency": "string",
"source": "string",
"value": "string"
},
"discount": {
"discountAmount": {
"currency": "string",
"value": "string"
},
"discountInfo": [
{
"currency": "string",
"discountType": "string",
"subDiscountAmount": {},
"value": "string"
}
],
"payAmount": {
"currency": "string",
"value": "string"
}
},
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"authorizationCode": "string",
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string",
"transAmount": {
"currency": "string",
"value": "string"
}
},
"cancel": {
"evoTransInfo": {
"evoTransID": "string",
"evoTransTime": "string",
"retrievalReferenceNum": "string",
"traceNum": "string"
},
"failureCode": "string",
"failureReason": "string",
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"pspTransInfo": {
"pspTransID": "string",
"pspTransTime": "string",
"retrievalReferenceNum": "string"
},
"status": "string"
},
"eventCode": "string",
"metadata": "string",
"paymentMethod": {
"bankTransfer": {
"paymentBrand": "string"
},
"buyNowPayLater": {
"paymentBrand": "string"
},
"card": {
"first6No": "string",
"fundingType": "string",
"hashCardNumber": "string",
"holderName": "string",
"isCommercial": true,
"issuerCountry": "string",
"issuingBank": "string",
"issuingCountry": "string",
"last4No": "string",
"paymentBrand": "string",
"posEntryMode": "string",
"posEntryModeCode": "string"
},
"carrierBilling": {
"paymentBrand": "string"
},
"cash": {
"paymentBrand": "string"
},
"e-wallet": {
"first6No": "string",
"last4No": "string",
"paymentBrand": "string"
},
"onlineBanking": {
"issuingCompany": "string",
"paymentBrand": "string"
},
"paymentAccountReference": "string",
"points": {
"paymentBrand": "string"
},
"prepaidCard": {
"paymentBrand": "string"
},
"token": {
"createTime": "string",
"expiryDate": "string",
"fingerprint": "string",
"status": "string",
"updateTime": "string",
"userReference": "string",
"value": "string",
"vaultID": "string"
}
},
"storeInfo": {
"mcc": "string",
"sid": "string",
"storeID": "string"
},
"transInitiator": {
"terminalID": "string"
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/octet-stream
json

